Page Index Toggle Pages: 1 [2] 
Topic Tools
 25 spellcheck broken (Read 3,895 times)
freediver
Senior Member
****
Offline



Posts: 517
Re: spellcheck broken
Reply #12 - Dec 23rd, 2012 at 11:14pm
Post Tools
JonB wrote on Dec 23rd, 2012 at 3:23pm:
@ Freediver

You may have a server firewall issue. Googiespell has to be able to talk over https to Google.  The 'talker' works via a connect made by SourcesSpellChecker.pl

AND/OR -

Did you fix the shebang line in that module???

You need to have Crypt::SSLeay Perl Module available.


Check you Apache and server error logs.

Good Luck



No idea about fixing a shebang line in the code.

I recently upgraded to 2.5.2 from 2.5 AE, and also upgraded from shared to VPS hosting.

Is it worth looking into this, or is it broken at the googiespell end?

Does anyone have googiespell working right now?
  

Founding member of . I recently upgraded from YaBB 2.2.1 to 2.5 AE to 2.5.2.
Back to top
WWW  
IP Logged
 
Bill Myers
God Member
Beta Testers
*****
Offline



Posts: 1,551
Location: Los Angeles

YaBB 2.4
Re: spellcheck broken
Reply #11 - Dec 23rd, 2012 at 5:44pm
Post Tools
Dandello wrote on Dec 23rd, 2012 at 5:38pm:
Googiespell has to be turned on by the admin.

That's what I figured. I guess I just wondered why it isn't being used here. Then again, browsers have spell checkers in them, so Googiespell isn't really needed any more; nice option to have, though.

  

Morning, noon, or night, have a great one!

Note: This forum doesn't allow for us to freely edit our posts or topics to make corrections as needed, so please remember to look for subsequent posts if you see any mistakes or outdated information. Sorry for the inconvenience.
Back to top
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 2,098
Location: Earth

YaBB 2.6.0
Re: spellcheck broken
Reply #10 - Dec 23rd, 2012 at 5:38pm
Post Tools
Bill Myers wrote on Dec 23rd, 2012 at 5:22pm:
It doesn't appear that Googiespell is an option in this forum, but maybe I'm simply not seeing it.


Googiespell has to be turned on by the admin.
  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
Bill Myers
God Member
Beta Testers
*****
Offline



Posts: 1,551
Location: Los Angeles

YaBB 2.4
Re: spellcheck broken
Reply #9 - Dec 23rd, 2012 at 5:22pm
Post Tools
JonB wrote on Dec 23rd, 2012 at 3:13pm:
@ Bill,

Until IE decides to include a spell checker, I think Googiespell is a valuable option.

Cool

I agree. Googiespell does seem to be a valuable option. Our forum doesn't have it because we don't have the necessary module installed.

But thankfully, IE actually does have a spell checker (Tools/ieSpell). It just has to be manually enabled like Googiespell. The IE version I use already has ieSpell as an option to use, and it works fine (info for those who need it).

Edited:
It doesn't appear that Googiespell is an option in this forum, but maybe I'm simply not seeing it.
« Last Edit: Dec 23rd, 2012 at 5:26pm by Bill Myers »  

Morning, noon, or night, have a great one!

Note: This forum doesn't allow for us to freely edit our posts or topics to make corrections as needed, so please remember to look for subsequent posts if you see any mistakes or outdated information. Sorry for the inconvenience.
Back to top
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 2,098
Location: Earth

YaBB 2.6.0
Re: spellcheck broken
Reply #8 - Dec 23rd, 2012 at 4:57pm
Post Tools
Spellcheck is throwing errors on me as well - and I'm running my sites off a VPS and my testbeds off WAMP and XAMPP. (And Spellcheck was working last week on my site that has to have it thanks to all the MSIE users.)

As part of my own diagnostics - downloaded and updated the Googiespell files from Orangoo one of my testbed servers - no change. (Also changed out SpellCheck.pl for the one in 2.5AE just to make sure it wasn't anything in that file - no joy.)

The one possible change for me would be that I have a new router/modem, but I doubt that's the issue. (Unless freediver got a new router/modem in the past few days, too.)

This is the Apache error from XAMPP:
Code
Select All
[Sun Dec 23 09:03:22.499033 2012] [authz_core:error] [pid 3704:tid 1732] [client 127.0.0.1:58451] AH01627: AuthType configured with no corresponding authorization directives, referer: http://localhost/testbed/cgi-bin/yabb254/YaBB.pl?num=1355939892
 



« Last Edit: Dec 23rd, 2012 at 5:02pm by Dandello »  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 3,768
Location: Land of the Blazing Sun!

YaBB 2.6.0
Re: spellcheck broken
Reply #7 - Dec 23rd, 2012 at 3:23pm
Post Tools
@ Freediver

You may have a server firewall issue. Googiespell has to be able to talk over https to Google.  The 'talker' works via a connect made by \Sources\SpellChecker.pl

AND/OR -

Did you fix the shebang line in that module???

You need to have Crypt::SSLeay Perl Module available.


Check you Apache and server error logs.

Good Luck
  

I find your lack of faith disturbing.
Back to top
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 3,768
Location: Land of the Blazing Sun!

YaBB 2.6.0
Re: spellcheck broken
Reply #6 - Dec 23rd, 2012 at 3:13pm
Post Tools
@ Bill,

Until IE decides to include a spell checker, I think Googiespell is a valuable option.

Cool
« Last Edit: Dec 23rd, 2012 at 3:24pm by JonB »  

I find your lack of faith disturbing.
Back to top
IP Logged
 
freediver
Senior Member
****
Offline



Posts: 517
Re: spellcheck broken
Reply #5 - Dec 23rd, 2012 at 8:43am
Post Tools
Not really, but I haven't had any luck explaining that.
  

Founding member of . I recently upgraded from YaBB 2.2.1 to 2.5 AE to 2.5.2.
Back to top
WWW  
IP Logged
 
Bill Myers
God Member
Beta Testers
*****
Offline



Posts: 1,551
Location: Los Angeles

YaBB 2.4
Is it even needed? Re: spellcheck broken
Reply #4 - Dec 23rd, 2012 at 7:45am
Post Tools

Just curious. With browsers that have spell checkers in them, is GoogieSpell needed any more?

  

Morning, noon, or night, have a great one!

Note: This forum doesn't allow for us to freely edit our posts or topics to make corrections as needed, so please remember to look for subsequent posts if you see any mistakes or outdated information. Sorry for the inconvenience.
Back to top
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 2,098
Location: Earth

YaBB 2.6.0
Re: spellcheck broken
Reply #3 - Dec 23rd, 2012 at 6:07am
Post Tools
It's Googiespell - I'm pretty sure the problem is on their end.

Edited:
On one of my own sites I upgraded the Googiespell javascripts from Googiespell and it still throws the server error. This is on a site where Googiespell was working and no other changes have been made.
« Last Edit: Dec 23rd, 2012 at 6:33am by Dandello »  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
freediver
Senior Member
****
Offline



Posts: 517
Re: spellcheck broken
Reply #2 - Dec 23rd, 2012 at 4:46am
Post Tools
It is the 'Check Spelling" link above and right of the reply box. I have internet access to google. It is not working for my other forum users either.
  

Founding member of . I recently upgraded from YaBB 2.2.1 to 2.5 AE to 2.5.2.
Back to top
WWW  
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 2,098
Location: Earth

YaBB 2.6.0
Re: spellcheck broken
Reply #1 - Dec 23rd, 2012 at 4:36am
Post Tools
I assume you're referring to Googiespell - which needs internet access to Google to work.
  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
freediver
Senior Member
****
Offline



Posts: 517
spellcheck broken
Dec 23rd, 2012 at 3:37am
Post Tools
When I click on the spellcheck link, it thinks for a few seconds then comes up with the message "An error was encountered on the server. Please try again later." I think this may have something to do with the transfer to the new virtual private server. Any suggestions on what the problem might be?
  

Founding member of . I recently upgraded from YaBB 2.2.1 to 2.5 AE to 2.5.2.
Back to top
WWW  
IP Logged
 
Page Index Toggle Pages: 1 [2] 
Topic Tools
 
  « Board Index ‹ Board  ^Top